<?
Error_Reporting(E_ALL & ~E_NOTICE);
include 'inclydings/gzips.php';
include 'mysql.php';
include_once("inclydings/zag.php");
include_once("inclydings/check2.php");
include 'inclydings/ini.php';
include_once("inclydings/sesi.php");
if (isset($user)) {
echo'<img src="xr.jpg" alt="подарок"><br />';
echo"<br />Приветствую тебя странник $log !<br />Получи от меня рождественский подарок:<br /><br />";

$file=@file("L2dbnam/esql2db/item/$login.dat");
$total=count($file);

for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Dragon gloves  of Santa 2012"){
echo"Вы уже получали подарок. Второй раз нельзя :)<br />";
include_once"inclydings/down.php";
exit;}}

$xr=rand(0,2);
if($xr=="0"){$textus="2012:||:1000:||:ryki:||:NG:||:Dragon gloves  of Santa 2012:||:";echo"Dragon gloves  of Santa 2012 +2012 защиты<br />";}
if($xr=="1"){$textus="2012:||:1000:||:ryki:||:NG:||:Dragon gloves  of Santa 2012:||:";echo"Dragon gloves  of Santa 2012 +2012 защиты<br />";}
if($xr=="2"){$textus="2012:||:1000:||:ryki:||:NG:||:Dragon gloves  of Santa 2012:||:";echo"Dragon gloves  of Santa 2012 +2012 защиты<br />";}

$fp=fopen("L2dbnam/esql2db/item/$login.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$textus\r\n");
flock ($fp,LOCK_UN);
fclose($fp);

}else{echo"Пароль или логин неверен!";}

include_once"inclydings/down.php";
?>